<?php
/**
 * This file is part of
 *
 * ......................
 *
 * for pragmamx (www.pragmamx.org)
 *
 * $Revision: 1 $
 * $Author: tora60 $
 * $Date: 2014-03-07 13:28:11 $
 */

defined('mxMainFileLoaded') or die('access denied');

include_once(dirname(dirname(__FILE__)) . "/includes/admin.functions.php");

/**
 * theme_admin
 *
 * @package
 * @author ???
 * @copyright Copyright (c) 2014
 * @version $Id: admin.php,v 1.2 2014-03-07 13:28:11 tora60 Exp $
 * @access public
 */
class theme_admin {
    private $errors = array();
    private $form = null;
    private $homepage = '';
    private static $__set = array(); // Konfiguration
    private $kf = null;

    private static $_config = null;

    /**
     * class::__construct()
     *
     * @param string $parameter
     */
    function __construct ($parameter = "")
    {
        global $prefix;

        mxGetLangfile(__DIR__);

        $this->themename = basename(dirname(__DIR__));

        $this->kf = new theme_functions($this->themename);
        $this->op = $parameter;
        self::$_config = $this->config_load();
        $this->main($this->op);
    }

    /**
     * class::__get()
     *
     * @param mixed $value_name
     * @return
     */
    public function __get($value_name)
    {
        if (isset(self::$__set[$value_name])) {
            return self::$__set[$value_name];
        }
        return false;
    }

    /**
     * class::__set()
     *
     * @param mixed $name
     * @param mixed $val
     * @return
     */
    public function __set($name, $val)
    {
        self::$__set[$name] = $val;
    }

    /**
     * class::main()
     *
     * @param string $action
     * @return
     */
    function main ($op)
    {
        $info2 = $this->themename;
        $tb = load_class('AdminForm', "adminFormMain");
		$redirect=false;
		
		/* definitionen voreinstellungen */
		
		
        switch (pmxAdminForm::CheckButton()) {
            case "save":
				$redirect=true;
			case "accept":
                $temp = $_POST['config'];        
				$config = $this->config_load();

				switch (true) {
					case (trim($temp['sitename']=="")):
						$temp['sitename']=$GLOBALS['sitename'];
					case (trim($temp['slogan']=="")):
						$temp['slogan']=$GLOBALS['slogan'];
				}
				$temp=array_merge($config,$temp);
                $this->config_save ($temp) ;
                if ($redirect) mxRedirect("admin.php?op=themes", _CHANGESAREOK, 1);
                break;
			
                
		}

        $config = $this->config_load();

		echo "<h3>".$info2."</h3>";
		$themeimg="themes/".$this->themename."/theme_thumbnail.png";
		$themeimage= (file_exists($themeimg))?"<img src=\"".$themeimg."\" style=\"width:100px;float:left;\" />":"no preview";
		include_once("themes/".$this->themename."/setup.pmx.php");
		$themeinfo=$credits;

        $tb = load_class('AdminForm', "adminFormMain");
        $tb->tb_text = $themeimage;
        $tb->tb_direction = 'right';
        $tb->infobutton = true;
        $tb->tb_pic_heigth = 22;
        $tb->cssclass = "toolbar1";
        $tb->homelink = false;

		
        $tb->addToolbar("save");
        $tb->addToolbar("accept");
		$tb->addToolbarlink("preview","modules.php?name=Themetest&themeselect=".$this->themename );
		
        $tb->addToolbarLink("cpanel", "admin.php?op=themes#".$this->themename);

		$farbschema=array("blue"=>"blue","green"=>"green");
		
        /* Form elements */
        $tb->addFieldSet("head", _SETTINGS, "", false);
        $tb->add("head", "input", "config[sitename]", $config['sitename'], _THEME_TITLE, "", 50, 50);
        $tb->add("head", "input", "config[slogan]", $config['slogan'], _THEME_SLOGAN, "", 50, 50);
        $tb->add("head", "input", "config[head_css_menu]", $config['head_css_menu'], _THEME_MENU, "", 50, 50);
		$tb->add("head", "yesno", "config[breadcrump]", $config['breadcrump'], _THEME_BREADCRUMP, "");
        $tb->add("head", "yesno", "config[perex]", $config['perex'], _THEME_PEREX);
        $tb->add("head", "hidden", "config[banner][head]", 0); 
		$tb->add("head", "hidden", "config[banner][foot]", 0); 
		$tb->add("head", "hidden", "ok", "1");
		
        
        
		        
		$tb->addFieldSet("text", _THEME_DEF_TEXT, "", true);
		
		
		$tb->addFieldSet("blocks", _THEME_BLOCKS, _THEME_BLOCKS_TXT, true);
		$tb->add("blocks","textarea","config[blocks_left]", $config['blocks_left'], _THEME_BLOCKS_LEFT);
		$tb->add("blocks","textarea","config[blocks_right]", $config['blocks_right'], _THEME_BLOCKS_RIGHT);
		$tb->add("blocks","textarea","config[blocks_both]", $config['blocks_both'], _THEME_BLOCKS_BOTH);

		$tb->add("text","editor","config[content_foot_text]", $config['content_foot_text'], _THEME_CONTENT_TEXT);
		$tb->addFieldSet("info", _VERSION, "", false);
		$tb->add("info","html",$themeinfo);
        echo $tb->Show();

        
    }

    /**
     * class::config_save()
     * Konfiguration auslesen ....
     *
     * @param array $temp
     * @return
     */
    function config_save ($temp = array())
    {
        $this->kf->config_save($temp);
    }

    /**
     * class::config_load()
     *
     * @return
     */
    function config_load ()
    {
        $temp = $this->kf->config_load();

        return $temp;
    }
}

if (!isset($op)) $op = "";
$tmp = new theme_admin($op);
$tmp = null;

?>