<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : tp_laodica $
 * $Revision: 1.0 $
 *
 * $Author: TECMU $
 * $Date: 2017-03-17 08:10:16 $
 */ 

/* diese Zeile nicht ändern!! */
defined('mxMainFileLoaded') or die('access denied');
global $mxConf;
global $themesetting;




/* folgendes nur, wenn Module geladen */
if (defined('MX_MODULE')) {

    /* Hilfsvariablen für das SMF-Forum */
    
    $current_action = isset($context['current_action']) ? $context['current_action'] : false;

    /**
     * Seiten, bei denen, die linken Blöcke nicht gezeigt werden sollen
     */
	  $theme_def_sideblock=in_array(MX_MODULE,explode(",",$themesetting['blocks_left']));
	  
    $themesetting['hide-left'] = array($theme_def_sideblock);

	/**
     * Seiten, bei denen, die rechten Blöcke nicht gezeigt werden sollen
     */
	  $theme_def_sideblock=in_array(MX_MODULE,explode(",",$themesetting['blocks_right']));
	  
    $themesetting['hide-right'] = array($theme_def_sideblock);
    /**
     * Seiten, bei denen, keine Blöcke gezeigt werden sollen
     */
	
	$theme_def_sideblock=in_array(MX_MODULE,explode(",",$themesetting['blocks_both']));
	 
    $themesetting['hide-both'] = array(	$theme_def_sideblock);

    /**
     * den Perex verwenden?
     * Der einzelne graue Block ber dem Inhalt, wird aus den Daten des ersten
     * unteren Centerblocks erstellt.
     * true = an, false = aus
     */
    $themesetting['perex'] = $perex2;
	
}
/* Ende nur Module */



/**
 * Standardfarben die im System und den Modulen verwendet werden
 * ACHTUNG!! Diese Farben werden durch die colors.php, des jeweiligen Designs ueberschrieben
 */

/* */
global $bgcolor1;
$bgcolor1 = "#ddd8d0";
global $bgcolor2;
$bgcolor2 = "#e1dfdb";
global $bgcolor3;
$bgcolor3 = "#e1dfdb";
global $bgcolor4;
$bgcolor4 = "#ddd8d0";
global $textcolor1;
$textcolor1 = "#23201a";
global $textcolor2;
$textcolor2 = "#29251e";
global $textcolor3;
$textcolor3 = "#4a4236"; 

global $textcolor4; 
$textcolor4 = "#3f372c"; 


/**
 * folgende Einstellungen sollten nicht verändert werden
 */

/* Modul-Blöcke im passenden Design anzeigen */
$themesetting['blocknav']['style'] = 'vmenu';
$themesetting['blocknav']['current'] = 'active';

/* definieren ob die Templates des Themes gecached werden können */
define('MX_THEME_CACHABLE', true);

/* Dateiname des templates */
define('MX_THIS_THEMEFILE', 'theme.html');

?>
